Subject: Ticket Assigned - MISSING ITEM
From: Splash <[email-masked]>
To: [email-masked]
Date: Sun, 21 Jun 2020 09:00:46 +0000

Hi Shivani Rani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  MISSING ITEM Dear Tea
I happened to place an order # 9787621705 on your website, I have received the order but Textured Slip-On Clog s=is missing in the order whereas i already paid for this. There are two things Firstly i already told the delivery guy that it's not their he said that's all what they received he cannot help me. in addition to this I already waited for 3 business days to receive my order and now i have to wait again?

Moreover, What kind of customer experience is that firstly that no one is replying to me and then one of your staff told me that i will have to wait again for 3 business days like why do I have to wait again? I need the product i can collect it also but if you guys wants to serve me the proper way then please either send me the product or send it to one of the shop i will collect it but it should be before Thursday, I need to travel on that day that's why.

Regards

Saad Khalid - 971555647647

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1221181